Set your reaction to a comment, replacing any you already had
PUT /api/learn/comments/{commentId}/reaction. Set your reaction to a comment, replacing any you already had. Headless LMS Discussion API reference.
Path Parameters
commentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/api/learn/comments/string/reaction" \ -H "Content-Type: application/json" \ -d '{ "emoji": "string" }'{ "reactions": { "property1": -9007199254740991, "property2": -9007199254740991 }, "viewerReaction": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Withdraw your reaction from a comment DELETE
DELETE /api/learn/comments/{commentId}/reaction. Withdraw your reaction from a comment. Headless LMS Discussion API reference.
Flag a comment for moderator attention POST
POST /api/learn/comments/{commentId}/reports. Flag a comment for moderator attention. Headless LMS Discussion API reference.